<?php
/**
 *
 * @author: xaboy<365615158@qq.com>
 * @day: 2018/01/18
 */

namespace app\models\store;


use crmeb\basic\BaseModel;
use crmeb\traits\ModelTrait;
use app\admin\model\ump\StoreCouponIssue as CouponIssueModel;
use think\db\Where;

/**
 * TODO 优惠券券码Model
 * Class StoreCouponIssue
 * @package app\models\store
 */
class StoreCouponCode extends BaseModel
{
    /**
     * 数据表主键
     * @var string
     */
    protected $pk = 'id';

    /**
     * 模型名称
     * @var string
     */
    protected $name = 'store_coupon_list';

    use ModelTrait;
    protected $insert = ['send_time'];
    public static function systemCouponCodePage($cid)
    {
        $model = self::where('cid', $cid);
        return self::page($model, function ($item) {
            $item['send_time'] = $item['send_time'] == 0 ? '未知' : date('Y/m/d H:i', $item['send_time']);
            $item['use_time'] = $item['use_time'] == 0 ? '未知' : date('Y/m/d H:i', $item['use_time']);
            $item['status'] = $item['status'] == 0 ? '未兑换' : ($item['status'] == 1 ? '已兑换' : '已过期' );
            return $item;
        }, ['cid' => $cid]);
    }
}